- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

# locationinfo.h File Reference

## Namespaces
namespace | log4cxx
namespace | log4cxx::spi
## Classes
class | LocationInfo
| This class represents the location of a logging statement. More...
## Defines
#define | __LOG4CXX_FUNC__ ""
#define | LOG4CXX_LOCATION

## Define Documentation

#define __LOG4CXX_FUNC__ ""

#define LOG4CXX_LOCATION

| Value:
    ::log4cxx::spi::LocationInfo(__FILE__, \
               __LOG4CXX_FUNC__,                                                         \
               __LINE__)